<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.cku.dao.CkuMatchLoggerMapper" >
  <resultMap id="BaseResultMap" type="com.cku.model.CkuMatchLogger" >
    <result column="id" property="id" jdbcType="VARCHAR" />
    <result column="url" property="url" jdbcType="VARCHAR" />
    <result column="method" property="method" jdbcType="VARCHAR" />
    <result column="param" property="param" jdbcType="VARCHAR" />
    <result column="user_id" property="userId" jdbcType="VARCHAR" />
    <result column="add_time" property="addTime" jdbcType="TIMESTAMP" />
    <result column="remote_addr" property="remoteAddr" jdbcType="VARCHAR" />
  </resultMap>
  <insert id="insert" parameterType="com.cku.model.CkuMatchLogger" >
    insert into cku_match_logger (id, url, method,param, user_id, add_time,remote_addr)
    values (#{id,jdbcType=VARCHAR}, #{url,jdbcType=VARCHAR}, #{method,jdbcType=VARCHAR}, 
      #{param,jdbcType=VARCHAR}, #{userId,jdbcType=VARCHAR}, #{addTime,jdbcType=TIMESTAMP}, 
      #{remoteAddr,jdbcType=VARCHAR})
  </insert>
</mapper>